<!doctype html>
<html lang="fr">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="manifest" href="manifest.webmanifest" />
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet"
    integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">
  <link rel="stylesheet" href="index.css">
  <script type="text/javascript" src="index.js"></script>
  <script>
    if ('serviceWorker' in navigator) {
      navigator.serviceWorker.register("/serviceWorker.js").then((registration) => {
        console.log("votre service worker a été enregistré!");
        registration.addEventListener("updatefound",() => {
          const newWorker = registration.installing;
          newWorker.addEventListener("statechange",() => {
              console.log("App: Nouvel état :", newWorker.state);
            })
          })
      }).catch((error) => {
        console.error(error);
      });
    } else {
      console.warn("Service workers are not supported.");
    }
  </script>
  <title>WPA</title>
</head>

<body>
  <div id="offline">Hors ligne</div>
  <div class="container">
    <h1 class="text-center mt-4"> WPA Exercice 1 </h1>
    <div class="text-center mt-3" id="container-add">
      <button type="button" id="addImg" class="btn btn-primary text-center">Show Image</button>
    </div>
    <div id="container-img" class="text-center mt-3">

    </div>
  </div>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW"
    crossorigin="anonymous"></script>
</body>

</html>